Subject: [manet] Copyright and derivative works [was LOADng (was Re: I-D Action: draft-ietf-manet-dymo-24.txt)]

From: "Adrian Farrel" <[email-masked]>
Date: Sat, 22 Dec 2012 16:02:21 -0000

I am not a lawyer.
 
When posting an Internet-Draft, IETF policies allow various options. One is that
the copyright is held jointly by the IETF Trust and the authors, and permission
to produce derivative works is granted. Another is that the right to generate
derivative works is withheld - meaning that another I-D cannot be created using
any of the text from the first document. WGs often consider such issues when
deciding whether to adopt an I-D as a working group document.
 
Learning from other documents that are in the public domain, and using ideas is
not necessarily covered depending on your view of what is copyrightable. Using
someone else's ideas would still, IMHO, require crediting the original authors -
there is an etiquette to be observed.
 
You really need to read the IETF Trust's legal provisions relating to IETF
documents at http://trustee.ietf.org/docs/IETF-Trust-License-Policy.pdf  (and
then you need to take your own legal advice and not rely on me to interpret for
you :-)
 
Adrian
 
From: [email-masked] [mailto:[email-masked]] On Behalf Of Daniel
He
Sent: 22 December 2012 14:57
To: Abdussalam Baryun
Cc: Timothy J. Salo; <[email-masked]> List
Subject: Re: [manet] LOADng (was Re: I-D Action: draft-ietf-manet-dymo-24.txt)
 
It is the meaning what copyright is to prevent the others to take any part
from the text (particularly for the draft). It is not new right. 

But as I understood, as long as the draft becomes a standard, all materials 
have been surrended to IETF copyright.

Cheers,
Dan
On 22 December 2012 13:51, Abdussalam Baryun <[email-masked]> wrote:
On 12/22/12, Henning Rogge <[email-masked]> wrote:
>> My understanding of copyright law is that a copyright might prevent
>> others from copying the LOADng _document_, but copyright cannot protect
>> the protocol itself.
>
> And thats exactly what the copyright notice on LOADng is about if I
> remember it correctly. It prevents people from taking parts of the
> draft text.
>
I understood from you that it tries to prevent ietf participants from
using its text parts in another ietf draft, which is new rights
introduced from my understanding, but happy to learn :)

So if I have an input on the list I can prevent others to use as to
write within my input:
<This message removes copyrights, no participant allowed to use the text > or
<This message removes copyrights, only draft-xxx allowed to use the text >

Regards
AB
_______________________________________________
manet mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/manet

-- 
Dan He
---------------------
openstack contributor
GPU stream programming

http://wiki.openstack.org/Contributors

Tel: +44-788-686-3428